Package org.pgpainless.decryption_verification

# Class OpenPgpMetadata.Builder

java.lang.Object
org.pgpainless.decryption_verification.OpenPgpMetadata.Builder

Enclosing class:
  `OpenPgpMetadata`

public static class OpenPgpMetadata.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`OpenPgpMetadata.Builder`
`addInvalidDetachedSignature(SignatureVerification signatureVerification, SignatureValidationException e)`
`OpenPgpMetadata.Builder`
`addInvalidInbandSignature(SignatureVerification signatureVerification, SignatureValidationException e)`
`OpenPgpMetadata.Builder`
`addRecipientKeyId(Long keyId)`
`OpenPgpMetadata.Builder`
`addVerifiedDetachedSignature(SignatureVerification signatureVerification)`
`OpenPgpMetadata.Builder`
`addVerifiedInbandSignature(SignatureVerification signatureVerification)`
`OpenPgpMetadata`
`build()`
`OpenPgpMetadata.Builder`
`setCleartextSigned()`
`OpenPgpMetadata.Builder`
`setCompressionAlgorithm(CompressionAlgorithm algorithm)`
`OpenPgpMetadata.Builder`
`setDecryptionKey(SubkeyIdentifier decryptionKey)`
`OpenPgpMetadata.Builder`
`setFileEncoding(StreamEncoding encoding)`
`OpenPgpMetadata.Builder`
`setFileName(String fileName)`
`OpenPgpMetadata.Builder`
`setModificationDate(Date modificationDate)`
`OpenPgpMetadata.Builder`
`setSessionKey(SessionKey sessionKey)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### addRecipientKeyId

public OpenPgpMetadata.Builder addRecipientKeyId(Long keyId)

### setDecryptionKey

public OpenPgpMetadata.Builder setDecryptionKey(SubkeyIdentifier decryptionKey)

### setSessionKey

public OpenPgpMetadata.Builder setSessionKey(SessionKey sessionKey)

### setCompressionAlgorithm

public OpenPgpMetadata.Builder setCompressionAlgorithm(CompressionAlgorithm algorithm)

### setFileName

public OpenPgpMetadata.Builder setFileName(@Nullable String fileName)

### setModificationDate

public OpenPgpMetadata.Builder setModificationDate(Date modificationDate)

### setFileEncoding

public OpenPgpMetadata.Builder setFileEncoding(StreamEncoding encoding)

### addVerifiedInbandSignature

public OpenPgpMetadata.Builder addVerifiedInbandSignature(SignatureVerification signatureVerification)

### addVerifiedDetachedSignature

public OpenPgpMetadata.Builder addVerifiedDetachedSignature(SignatureVerification signatureVerification)

### addInvalidInbandSignature

public OpenPgpMetadata.Builder addInvalidInbandSignature(SignatureVerification signatureVerification, SignatureValidationException e)

### addInvalidDetachedSignature

public OpenPgpMetadata.Builder addInvalidDetachedSignature(SignatureVerification signatureVerification, SignatureValidationException e)

### setCleartextSigned

public OpenPgpMetadata.Builder setCleartextSigned()

### build

public OpenPgpMetadata build()